use telers::{errors::session::ErrorKind, methods::promote_chat_member::PromoteChatMember, Bot};

#[inline]
pub async fn demote_user(bot: &Bot, user_id: i64, chat_id: i64) -> Result<bool, ErrorKind> {
    bot.send(
        PromoteChatMember::new(chat_id, user_id)
            .can_manage_topics(false)
            .can_pin_messages(false)
            .can_invite_users(false)
            .can_change_info(false)
            .can_promote_members(false)
            .can_restrict_members(false)
            .can_manage_voice_chats(false)
            .can_delete_messages(false)
            .can_edit_messages(false)
            .can_post_messages(false)
            .can_manage_chat(false)
            .is_anonymous(false),
    )
    .await
}
